ch.qos.logback.classic.spi

## Class StackTraceElementProxy

- java.lang.Object
- - ch.qos.logback.classic.spi.StackTraceElementProxy

All Implemented Interfaces:
  java.io.Serializable

    public class StackTraceElementProxy
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StackTraceElementProxy(java.lang.StackTraceElement ste)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`ClassPackagingData` `getClassPackagingData()`
`java.lang.StackTraceElement` `getStackTraceElement()`
`java.lang.String` `getSTEAsString()`
`int` `hashCode()`
`void` `setClassPackagingData(ClassPackagingData cpd)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StackTraceElementProxy

    public StackTraceElementProxy(java.lang.StackTraceElement ste)

### Method Detail

#### getSTEAsString

    public java.lang.String getSTEAsString()

#### getStackTraceElement

    public java.lang.StackTraceElement getStackTraceElement()

#### setClassPackagingData

    public void setClassPackagingData(ClassPackagingData cpd)

#### getClassPackagingData

    public ClassPackagingData getClassPackagingData()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`